/*
[A-Life]: Investigacin sobre Vida Artificial. El Algoritmo Evolutivo.

Autor: Rafael Alberto Moreno Parra. enginelife@hotmail.com
URL:   http://www.geocities.com/krousky
Fecha: 22 de Enero de 2001

Simulacin:  AlgEvo001
Herramienta: Microsoft Visual C++ 6.0

Objetivo:
Dado un Universo, este esta lleno de ambientes, hay una serie de
elementos (materia) que reaccionan al estado del ambiente, una serie
de seres vivos comandados por el "algoritmo evolutivo", buscan conseguir
dichos elementos usando estratgias como desplazamiento, coleccin de nuevos
elementos, etc...

*/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "Material.h"

void Material::vInicia(unsigned int iID, unsigned int iXmin, unsigned int iYmin, unsigned int iXmax, unsigned int iYmax, unsigned int iMaxTipMat)
{
	/* ID del material */
	m_iIDmat = iID;

	/* De que tipo de material es? */
	m_iTipMaterial = rand() % iMaxTipMat;

	/* Posiciona al azar el material entre los lmites del Universo */
	m_iPosX = rand() % (iXmax - iXmin) + iXmin;
	m_iPosY = rand() % (iYmax - iYmin) + iYmin;

	/* Al principio no esta usado por ningun organismo */
	m_cUsado = MAT_NOOCUPADO;

	printf("Material: [%d], Tipo: [%d]\n", m_iIDmat, m_iTipMaterial);
};


