/*
[A-Life]: Investigacin sobre Vida Artificial. El Algoritmo Evolutivo.

Autor: Rafael Alberto Moreno Parra. enginelife@hotmail.com
URL:   http://www.geocities.com/krousky
Fecha: 16 de Enero de 2001

Simulacin:  AlgEvo001
Herramienta: Microsoft Visual C++ 6.0

Objetivo:
Dado un Universo, este esta lleno de ambientes, hay una serie de
elementos (materia) que reaccionan al estado del ambiente, una serie
de seres vivos comandados por el "algoritmo evolutivo", buscan conseguir
dichos elementos usando estratgias como desplazamiento, coleccin de nuevos
elementos, etc...

*/
#include <stdlib.h>

#include "Organismo.h"

void Organismo::vNace(unsigned int iEstabilidad, unsigned int iTolMin, unsigned int iTolMax, unsigned int iNumMaterial)
{
	m_iEstabilidad = iEstabilidad;
	m_cVivo = ORG_VIVO;
	
	m_iToleranciaMin = iTolMin;
	m_iToleranciaMax = iTolMax;

	m_iIDmaterial = (unsigned int *) malloc (sizeof(unsigned int) * iNumMaterial + 6);
}