/*
[A-Life]: Investigacin sobre Vida Artificial. El Algoritmo Evolutivo.

Autor: Rafael Alberto Moreno Parra. enginelife@hotmail.com
URL:   http://www.geocities.com/krousky
Fecha: 16 de Enero de 2001

Simulacin:  AlgEvo001
Herramienta: Microsoft Visual C++ 6.0

Objetivo:
Dado un Universo, este esta lleno de ambientes, hay una serie de
elementos (materia) que reaccionan al estado del ambiente, una serie
de seres vivos comandados por el "algoritmo evolutivo", buscan conseguir
dichos elementos usando estratgias como desplazamiento, coleccin de nuevos
elementos, etc...

*/

#define PARAMETROS 1

// Condiciones de error y exito
#define ERRORMEMORIA 10
#define EXCEDIOLIMITES 11
#define OPERACIONEXITOSA 1
#define MAXIMALONGEXPRESION 50 //Limitante del evaluador de expresiones


// Constantes de Ambiente
#define AMB_DENTRO 1
#define AMB_FUERA 0

// Mutacion
#define MUT_LONGEXPR 60
#define MUT_TAMANOPILALISTA 101 //Representa el 100%

// Material
#define MAT_OCUPADO 1
#define MAT_NOOCUPADO 0

//Organismo
#define ORG_VIVO 1
#define ORG_MUERTO 0


